Subject: Re: [PATCH] macintosh: therm_pm72: delete deprecated driver

From: Wolfram Sang <[email-masked]>
Date: Thu, 6 Nov 2014 10:56:02 +0100

On Thu, Nov 06, 2014 at 08:50:04PM +1100, Benjamin Herrenschmidt wrote:
> On Thu, 2014-11-06 at 10:25 +0100, Wolfram Sang wrote:
> > On Thu, Nov 06, 2014 at 01:19:36PM +1100, Benjamin Herrenschmidt wrote:
> > > On Thu, 2014-11-06 at 02:45 +0100, Wolfram Sang wrote:
> > > > The new driver is around for more than 2 years now, so the old one can
> > > > go. Getting rid of it helps the removal of the legacy .attach_adapter
> > > > callback of the I2C subsystem.
> > > > 
> > > > Signed-off-by: Wolfram Sang <[email-masked]>
> > > 
> > > Acked-by: Benjamin Herrenschmidt <[email-masked]>
> > 
> > Thanks! I can take it via my I2C tree, but I'd think it makes more sense
> > if you take it via ppc? What do you prefer?
> 
> Either works. These days Michael Ellerman handles the day to day
> maintainance of the powerpc tree so it's his choice but if you need this
> as a dependency on your subsequent API removal it's probably better that
> you take it.

No dependency, just a first step. Good to know, I will CC Michael on
(somewhen) upcoming patches, too.